%define		anolis_release 2
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
Name:           dde-calendar
Version:        5.9.14

Release:        2.%{anolis_release}%{?dist}
Summary:        Calendar is a smart daily planner to schedule all things in life
License:        GPLv3
URL:            https://github.com/linuxdeepin/dde-calendar
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		0001-fix-uos-DDE.patch
Patch1:		0002-fix-uos-DDE.patch

BuildRequires: cmake
BuildRequires: qt5-devel
BuildRequires: dtkgui-devel
BuildRequires: dtkwidget-devel
BuildRequires: pkgconfig(dframeworkdbus)
BuildRequires: gtest-devel
BuildRequires: dtkcommon-devel
BuildRequires: libical-devel

%description
%{summary}.

%prep
%autosetup -p1

%build
%define _lto_cflags %{nil}
export PATH=%{_qt5_bindir}:$PATH
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")
mkdir build && pushd build 
%cmake -DCMAKE_BUILD_TYPE=Release ../  -DAPP_VERSION=%{version} -DVERSION=%{version} -DCMAKE_SCHEDULE_PLUGIN_OFF="OFF"
%make_build -C %{_vpath_builddir} 
popd

%install
%make_install -C "build/%{_vpath_builddir}" INSTALL_ROOT="%buildroot"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/deepin-manual/manual-assets/application/dde-calendar/calendar/*
%{_datadir}/dbus-1/services/*.service
/etc/xdg/autostart/dde-calendar-service.desktop
%{_datadir}/dde-calendar/data/*
/usr/lib/deepin-daemon/dde-calendar-service
%{_prefix}/lib/deepin-aiassistant/serivce-plugins/libuosschedulex-plugin.so
%{_prefix}/lib/systemd/user/


%changelog
* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.9.14-2.2
- rebuild for qt

* Mon Sep 18 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.9.14-2.1
- fix build error on a23

* Mon Mar 06 2023 liweiganga <liweiganga@uniontech.com> - 5.9.14-2
- feat: fix bug(bugid:187697)

* Wed Jan 11 2023 liweiganga <liweiganga@uniontech.com> - 5.9.14-1
- update: update to 5.9.14

* Tue Jun 14 2022 uoser <uoser@uniontech.com> - 5.8.20.1-1.01
- update: update to 5.8.20.1-1.01
